System.Web 2.0.0.0 System.Web.UI.HtmlControls.HtmlGenericControl System.Web.UI.ControlBuilder(typeof(System.Web.UI.HtmlControls.HtmlHeadBuilder))

The HTML head element is a container that can contain additional information about the page. The control is useful for specifying page formatting information that can be accessed at run time.

Adding styles or style rules programmatically during asynchronous postbacks is not supported. When you add AJAX capabilities to an ASP.NET Web page, asynchronous postbacks update regions of the page without updating the whole page. For more information, see ASP.NET AJAX Overview.

Provides programmatic access to the HTML head element in server code.

- Constructor

  The following table shows the initial property value for an instance of .

  Property

  Initial value

  The string "head".

  Initializes a new instance of the class.

  2.0.0.0
- Constructor

  The following table shows the initial property value for an instance of .

  Property

  Initial value

  The value of the parameter.

  Initializes a new instance of the class by using the specified tag.

  A string that specifies the tag name of the control.
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  System.Web.UI.IStyleSheet To be added.

  The property returns an that represents the embedded style rules in the control.

  Adding styles or style rules programmatically during asynchronous postbacks is not supported. When you add AJAX capabilities to an ASP.NET Web page, asynchronous postbacks update regions of the page without updating the whole page. For more information, see ASP.NET AJAX Overview.

  Gets an instance that represents the style rules in the control.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the page title.

  2.0.0.0